package cc.smtweb.framework.core.exception;

/**
 * 业务异常
 *
 * @author kevin
 */
public class BizException extends RuntimeException {
    /**
     *
     */
    private static final long serialVersionUID = 1L;
    //错误编号
    private int code = 0;

    public BizException() {
        super();
    }

    public BizException(String message, Throwable cause) {
        super(message, cause);
    }

    public BizException(String message) {
        super(message);
    }

    public BizException(int code) {
        super();
        this.code = code;
    }
    public BizException(int code, String message) {
        super(message);
        this.code = code;
    }

    public BizException(Throwable cause) {
        super(cause.getMessage(), cause);
    }

    public int getCode() {
        return code;
    }
}
